package cn.iocoder.yudao.common;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 维修系统可用角色枚举
 *
 * @author vinjor-m
 */
@AllArgsConstructor
@Getter
public enum RepairRoleEnum {
    /**
     * 维修业务管理员
     */
    ADMIN("weixiu","维修业务管理员"),
    /**
     * 维修服务顾问
     */
    ADVISOR("service_advisor","维修服务顾问"),
    /**
     * 维修总检
     */
    INSPECTION("general_inspection","维修总检"),
    /**
     * 维修工
     */
    REPAIR_STAFF("repair_staff","维修工"),
    /**
     * 维修仓库管理员
     */
    WAREHOUSE("repair_warehouse","维修仓库管理员"),
    /**
     * 维修财务
     */
    WXCW("wxcw","维修财务");

    /**
     * 角色code
     */
    private String code;
    /**
     * 角色名称
     */
    private String name;

    /**
     * 根据角色code返回对应的枚举
     * @author vinjor-M
     * @date 14:23 2024/10/16
     * @param code 角色code
     * @return cn.iocoder.yudao.common.SystemEnum
     **/
    public static RepairRoleEnum getRepairRole(String code) {
        for (RepairRoleEnum roleEnum : RepairRoleEnum.values()) {
            if (roleEnum.getCode().equalsIgnoreCase(code)) {
                // 找到对应的枚举
                return roleEnum;
            }
        }
        throw new IllegalArgumentException("无效的角色code：" + code);
    }

}
